{% set href = (href is defined) ? href : 'javascript:void(0);' %}
{% set text = (text is defined) ? text : ''  %}

<a href="{{ href }}"
   class="{{ class }} {{ disabled is defined and disabled ==true ? 'disabled' }}"
   {% if additionalData is defined %}
       {% for attr, data in additionalData %}
           data-{{ attr }}="{{ data }}"
       {% endfor %}
   {% endif %}
   {% if action is defined %}
      data-action="{{ action }}"
   {% endif%}
   {% if parentId is defined %}
      data-parent-id="{{ parentId }}"
   {% endif%}
   {% if url is defined %}
      data-url="{{ url }}"
   {% endif%}
   {% if target is defined %}
      data-target="{{ target }}"
   {% endif %}
   {% if id is defined %}
      data-id="{{ id }}"
   {% endif %}
>
    <i class="{{ includedInForm is not defined or includedInForm == false ? 'icon-append' }} fas fa-{{ icon }}"></i> {{ text }}
</a>